@echo off
:: Author: Ian Atkin (ian.atkin@it.ox.ac.uk)
::This script is intended to gather logs which might be useful to Altiris Support.
::Add to this any screenshots and other data as required for your case.
::
:: Then zip up and send to Altiris support!

SET LOGFLDR_SMP=C:\ProgramData\Symantec\SMP\Logs
SET LOGFLDR_AGENT=C:\ProgramData\Symantec\Symantec Agent\Logs
SET DS6_EXPRESS=C:\Program Files (x86)\Altiris\eXpress\Deployment Server


FOR /F "TOKENS=1,2,3,4,5 DELIMS=/: " %%A IN ('echo %DATE% %TIME%') DO (
SET dd=%%A
SET m=%%B
SET yyyy=%%C
SET hh=%%D
set mm=%%E
)


SET LOGROOT=%~dp0%COMPUTERNAME%_LOGS_%dd%-%m%-%yyyy%


echo Step 1: Creating folder structure for archive..
if exist "%LOGROOT%" (
  rmdir /s /q "%LOGROOT%"
)
mkdir "%LOGROOT%"

echo Step 2: Exporting event logs
wevtutil export-log System "%LOGROOT%\%COMPUTERNAME%_System.evtx"
wevtutil export-log Application "%LOGROOT%\%COMPUTERNAME%_Application.evtx"

echo Step 3: Copying Altiris SMP Log files (if exist)
if exist "%LOGFLDR_SMP%\" (
  echo    --^>SMP Log folder found
  mkdir "%LOGROOT%\%COMPUTERNAME%_SMP_LOGS"
  xcopy "%LOGFLDR_SMP%" "%LOGROOT%\%COMPUTERNAME%_SMP_LOGS" /s /i>nul
)


if exist "%LOGFLDR_AGENT%\" (
  echo    --^>Altiris Agent Log folder found  
  mkdir "%LOGROOT%\%COMPUTERNAME%_AGENT_LOGS"
  xcopy "%LOGFLDR_AGENT%" "%LOGROOT%\%COMPUTERNAME%_AGENT_LOGS" /s /i >nul
)


echo Step 4: Adding MSINFO and installed software reports

reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall" /s | findstr /B ".*DisplayName"> "%LOGROOT%\%COMPUTERNAME%_software.txt"

wmic qfe get Hotfixid > "%LOGROOT%\%COMPUTERNAME%_Hotfixes.txt"

start /wait msinfo32 /categories +all /report "%LOGROOT%\%COMPUTERNAME%_msinfo.txt"

echo.
pause


